summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSean McGinnis <sean.mcginnis@gmail.com>2019-01-29 15:17:16 -0600
committerSean McGinnis <sean.mcginnis@gmail.com>2019-01-29 16:15:25 -0600
commitee5d3853437d55cfe4f15d37a85a6e378f0a06a3 (patch)
treec10db2fd16d20f80db49e129f4664af7b299f987
parentb2c5e4a1320ebe6661204342c65f10b487584e62 (diff)
Block installation of requests-toolbelt 0.9.0
This release of requests-toolbelt expects pyOpenSSL to be installed for urllib3, but does not have it in its default requirements. This is being tracked in [0], so should be fixed post 0.9.0. For now, block the use of the 0.9.0 version. [0] https://github.com/requests/toolbelt/compare/0.8.0...0.9.0 Change-Id: I06445adaaeecf244f6482b6db26db58a09426489 Signed-off-by: Sean McGinnis <sean.mcginnis@gmail.com>
Notes
Notes (review): Code-Review+2: James E. Blair <corvus@inaugust.com> Code-Review+2: Clark Boylan <cboylan@sapwetik.org> Workflow+1: Clark Boylan <cboylan@sapwetik.org> Verified+2: Zuul Submitted-by: Zuul Submitted-at: Tue, 29 Jan 2019 23:09:12 +0000 Reviewed-on: https://review.openstack.org/633829 Project: openstack-infra/zuul-jobs Branch: refs/heads/master
-rw-r--r--roles/ensure-twine/tasks/main.yaml2
1 files changed, 1 insertions, 1 deletions
diff --git a/roles/ensure-twine/tasks/main.yaml b/roles/ensure-twine/tasks/main.yaml
index c7c2832..8d96690 100644
--- a/roles/ensure-twine/tasks/main.yaml
+++ b/roles/ensure-twine/tasks/main.yaml
@@ -11,7 +11,7 @@
11- name: Ensure twine is installed 11- name: Ensure twine is installed
12 block: 12 block:
13 - name: Ensure twine is installed 13 - name: Ensure twine is installed
14 command: "{{ twine_python }} -m pip install twine!=1.12.0 readme_renderer[md]!=23.0 --user" 14 command: "{{ twine_python }} -m pip install twine!=1.12.0 readme_renderer[md]!=23.0 requests-toolbelt!=0.9.0 --user"
15 15
16 - name: Set pypi_twine_executable 16 - name: Set pypi_twine_executable
17 set_fact: 17 set_fact: